get
https://app.fracttal.com/api/groups_tasks/
Through this API you can query the list of task plans.
Input parameters
The following input parameters are optional and are used to paginate the query. By default, the Fracttal API returns only 100 records.
| Parameter | Type | Required | Description |
|---|---|---|---|
start | Integer | Optional | Initial record number that the query will display. |
limit | Integer | Optional | Final record number that the query will return. |
This API supports dynamic filtersIn addition to
startandlimit, you can filter by any field of the task plan using the notationfield[operator]=value(for exampledescription[like]=preventivo). See the available operators and usage examples in Dynamic filters.
Output parameters
| Parameter | Type | Description |
|---|---|---|
description | Text | Task plan description |
parent_description | Text | Task plan location |
task_number | Number | Number of tasks in the task plan |
assets_number | Number | Number of assets associated with the task plan |
Example:
Request: (GET)https://app.fracttal.com/api/groups_tasks/
{
"success": true,
"message": "200",
"data": [
{
"description": "Aires",
"parent_description": "\/\/ AMERICA DEL SUR\/ CHILE\/ ",
"task_number": 2,
"assets_number": 2
},
{
"description": "AIRES ACONDICIONADOS - Terminal Pacifico Sur",
"parent_description": "\/\/ ",
"task_number": 4,
"assets_number": 1
},
{
"description": "AJUSTE DE ARTEFACTOS",
"parent_description": "\/\/ CHILE 1\/ SANTIAGO DE CHILE\/ COSTANERA CENTER\/ ",
"task_number": 2,
"assets_number": 2
}
],
"total": 3
}TEST CONNECTION
